library(sf)
library(dplyr)
library(giscoR)
library(ggplot2)
library(sp)
library(mapSpain)

# We filter combined_cat_reduced to only Barcelona polygons

# Obtain all the spanish towns
towns <- esp_get_munic()

# Filter to only Barcelona
barcelona <- towns %>%
  filter(name == "Barcelona" & cpro == "08") %>%  # cpro = "08" is the Barcelona province
  select(geometry)

barcelona <- st_transform(barcelona, crs = 4326)

sf_combined_cat_reduced <- st_as_sf(combined_cat_reduced, 
                         wkt = "geom",
                         crs = 4326)

sf_bcn_sociodem <- st_intersection(sf_combined_cat_reduced, barcelona)

#mapview::mapview(sf_bcn_sociodem, zcol = 'p_t')



